﻿@model IEnumerable<FirstMVCAppMy.UI.Models.Products.ProductModel>

@{
    ViewData["Title"] = "ProductsBrand";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<h1>ProductsBrand</h1>

<p>
    Products Brands
</p>
<table class="table">
    <thead>
        <tr>
            <th>
                @Html.DisplayNameFor(model => model.Name)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Description)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.CategoryName)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Price)
            </th>
            <th></th>
        </tr>
    </thead>
    <tbody>
@foreach (var item in Model) {
        <tr>
            <td>
                <a asp-controller="Product" asp-action="Edit" asp-route-id="@item.Id">
                    @Html.DisplayFor(modelItem => item.Name)
                </a>
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Description)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.CategoryName)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Price)
            </td>
            <td>
                <form asp-action="Add" asp-controller="Bucket" method="post">
                    <input type="hidden" name="productId" value="@item.Id" />
                    <input type="submit" value="Добавить в корзину" />
                </form>
            </td>
        </tr>
}
    </tbody>
</table>
